Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Cairo not installed, but blocking emerge world
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
ca_grover
Apprentice
Apprentice


Joined: 08 Jun 2003
Posts: 150
Location: Canada, Eh?

PostPosted: Fri Jan 13, 2006 10:08 pm    Post subject: Cairo not installed, but blocking emerge world Reply with quote

I'm trying to do emerge world -Duavt, and it keeps giving me the following:

Code:
[blocks B     ] <x11-libs/cairo-0.2 (is blocking x11-libs/cairo-1.0.2)


I've searched the forums and have tried all the suggestions that seemed reasonable - re-emerged libxslt, m4, automake, added cairo to portage.keywords, and tried to emerge -C cairo. Nothing worked. Even more interesting is that when I do the emerge -C I get the following:
Code:
emerge -C x11-libs/cairo-0.2

--- Couldn't find x11-libs/cairo-0.2 to unmerge.

>>> unmerge: No packages selected for removal.


So, apparently I have a phantom package blocking an upgrade of itself. I have done revdep-rebuild a few times recently, with no change to this.

Any tips how to fix this?
Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4927
Location: Gothenburg, Sweden

PostPosted: Fri Jan 13, 2006 10:13 pm    Post subject: Reply with quote

The message says you have a version lower than 0.2 installed, thus
Code:
emerge -aC <x11-libs/cairo-0.2

_________________
Please read our FAQ Forum, it answers many of your questions.
irc: #gentoo-forums on irc.freenode.net
Back to top
View user's profile Send private message
AnalogKid
Tux's lil' helper
Tux's lil' helper


Joined: 11 Jan 2006
Posts: 83

PostPosted: Fri Jan 13, 2006 10:18 pm    Post subject: Reply with quote

I had the same problem. sean345 helped me with it in this thread.

Try this:
Code:
echo "x11-libs/cairo X png" >> /etc/portage/package.use


Then emerge cairo:
Code:
emerge --oneshot x11-libs/cairo
Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4927
Location: Gothenburg, Sweden

PostPosted: Fri Jan 13, 2006 10:23 pm    Post subject: Reply with quote

AnalogKid wrote:
I had the same problem.

No that's a different problem.

And as this is a dup of Cairo 0.2 blocking 1.0.2 from compiling, moved from Portage & Programming to Duplicate Threads.
_________________
Please read our FAQ Forum, it answers many of your questions.
irc: #gentoo-forums on irc.freenode.net
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum